<div class="request-details-component-container">
    <ng-container *ngIf="$request | async as request">
        <div>
            <div class="request-property default-padding">
                <div class="bold">
                    {{'Company Name: '}}
                </div>
                <div>
                    {{request.companyName}}
                </div>
            </div>
            <div class="request-property default-padding">
                <div class="bold">
                    {{'Max Devices: '}}
                </div>
                <div>
                    {{request.maxDevices}}
                </div>
            </div>
            <div class="request-property default-padding">
                <div class="bold">
                    {{'Email: '}}
                </div>
                <div>
                    {{request.email}}
                </div>
            </div>
        </div>
        <div>
            <button (click)="fulfillRequest(request)" class="fulfill-button" mat-button>
                Fulfill Request
            </button>
        </div>
    </ng-container>
</div>
